[package]
name = "qiskit-terra"
version = "0.20.0"
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "qiskit_accelerate"
crate-type = ["cdylib"]

[dependencies]
rayon = "1.5"
numpy = "0.16.1"
rand = "0.8"
rand_pcg = "0.3"
rand_distr = "0.4.3"
indexmap = "1.8.0"
ahash = "0.7.6"
num-complex = "0.4"

[dependencies.pyo3]
version = "0.16.2"
features = ["extension-module", "hashbrown", "num-complex"]

[dependencies.ndarray]
version = "^0.15.0"
features = ["rayon"]

[dependencies.hashbrown]
version = "0.11.2"
features = ["rayon"]

[profile.release]
lto = 'fat'
codegen-units = 1
